ru.bitel.bgbilling.kernel.network.flow

## Class NetFlow9Template

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.flow.NetFlow9Template

- All Implemented Interfaces:
    java.io.Serializable

      public class NetFlow9Template
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NetFlow9Template.NetFlow9TemplateItem`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `data`
    `int` | `dataLength` Длина одной записи данного шаблона.
    `int` | `fieldCount`
    `NetFlow9Template.NetFlow9TemplateItem` | `firstSwitchedItem`
    `boolean` | `flowLog`
    `boolean` | `hslNatLog`
    `NetFlow9Template.NetFlow9TemplateItem` | `hslNatLogFieldEvent`
    `NetFlow9Template.NetFlow9TemplateItem` | `hslNatLogFieldTimestamp`
    `NetFlow9Template.NetFlow9TemplateItem` | `hslNatLogFieldTranslatedDestinationIPv4Addr`
    `NetFlow9Template.NetFlow9TemplateItem` | `hslNatLogFieldTranslatedDestinationPort`
    `NetFlow9Template.NetFlow9TemplateItem` | `hslNatLogFieldTranslatedSourceIpv4Addr`
    `NetFlow9Template.NetFlow9TemplateItem` | `hslNatLogFieldTranslatedSourcePort`
    `NetFlow9Template.NetFlow9TemplateItem` | `hslNatLogFieldVrfId`
    `NetFlow9Template.NetFlow9TemplateItem` | `inOctetsItem`
    `NetFlow9Template.NetFlow9TemplateItem` | `inSnmpIfaceItem`
    `NetFlow9Template.NetFlow9TemplateItem` | `ip4DstAddressItem`
    `NetFlow9Template.NetFlow9TemplateItem` | `ip4NextHopItem`
    `NetFlow9Template.NetFlow9TemplateItem` | `ip4SrcAddressItem`
    `NetFlow9Template.NetFlow9TemplateItem` | `ip6DstAddressItem`
    `NetFlow9Template.NetFlow9TemplateItem` | `ip6SrcAddressItem`
    `NetFlow9Template.NetFlow9TemplateItem[]` | `items`
    `NetFlow9Template.NetFlow9TemplateItem` | `l4DstPortItem`
    `NetFlow9Template.NetFlow9TemplateItem` | `l4SrcPortItem`
    `NetFlow9Template.NetFlow9TemplateItem` | `lastSwitchedItem`
    `int` | `length`
    `int` | `minDataLength` Минимальная длина данных.
    `boolean` | `natLog`
    `NetFlow9Template.NetFlow9TemplateItem` | `natLogFieldIdxAssignTsSec`
    `NetFlow9Template.NetFlow9TemplateItem` | `natLogFieldIdxContextId`
    `NetFlow9Template.NetFlow9TemplateItem` | `natLogFieldIdxContextName`
    `NetFlow9Template.NetFlow9TemplateItem` | `natLogFieldIdxExtPortFirst`
    `NetFlow9Template.NetFlow9TemplateItem` | `natLogFieldIdxExtPortLast`
    `NetFlow9Template.NetFlow9TemplateItem` | `natLogFieldIdxIpv4ExtAddr`
    `NetFlow9Template.NetFlow9TemplateItem` | `natLogFieldIdxIpv4IntAddr`
    `NetFlow9Template.NetFlow9TemplateItem` | `natLogFieldIdxUnassignTsSec`
    `NetFlow9Template.NetFlow9TemplateItem` | `nextHopItem`
    `NetFlow9Template.NetFlow9TemplateItem` | `outSnmpIfaceItem`
    `NetFlow9Template.NetFlow9TemplateItem` | `protocolItem`
    `boolean` | `seNatLog`
    `NetFlow9Template.NetFlow9TemplateItem` | `srcTosBytesItem`
    `int` | `templateId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetFlow9Template()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parse(java.nio.ByteBuffer readBuffer)`
    `int` | `skipData(java.nio.ByteBuffer data, int beginPosition)` Возвращает длину пропущенной data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### templateId

          public int templateId

    - #### fieldCount

          public int fieldCount

    - #### dataLength

          public int dataLength

      Длина одной записи данного шаблона. В IPFIX длина может быть переменной.

    - #### minDataLength

          public int minDataLength

      Минимальная длина данных.

    - #### length

          public int length

    - #### nextHopItem

          public NetFlow9Template.NetFlow9TemplateItem nextHopItem

    - #### inSnmpIfaceItem

          public NetFlow9Template.NetFlow9TemplateItem inSnmpIfaceItem

    - #### outSnmpIfaceItem

          public NetFlow9Template.NetFlow9TemplateItem outSnmpIfaceItem

    - #### inOctetsItem

          public NetFlow9Template.NetFlow9TemplateItem inOctetsItem

    - #### ip4SrcAddressItem

          public NetFlow9Template.NetFlow9TemplateItem ip4SrcAddressItem

    - #### ip4DstAddressItem

          public NetFlow9Template.NetFlow9TemplateItem ip4DstAddressItem

    - #### ip6SrcAddressItem

          public NetFlow9Template.NetFlow9TemplateItem ip6SrcAddressItem

    - #### ip6DstAddressItem

          public NetFlow9Template.NetFlow9TemplateItem ip6DstAddressItem

    - #### l4SrcPortItem

          public NetFlow9Template.NetFlow9TemplateItem l4SrcPortItem

    - #### l4DstPortItem

          public NetFlow9Template.NetFlow9TemplateItem l4DstPortItem

    - #### srcTosBytesItem

          public NetFlow9Template.NetFlow9TemplateItem srcTosBytesItem

    - #### firstSwitchedItem

          public NetFlow9Template.NetFlow9TemplateItem firstSwitchedItem

    - #### lastSwitchedItem

          public NetFlow9Template.NetFlow9TemplateItem lastSwitchedItem

    - #### ip4NextHopItem

          public NetFlow9Template.NetFlow9TemplateItem ip4NextHopItem

    - #### protocolItem

          public NetFlow9Template.NetFlow9TemplateItem protocolItem

    - #### data

          public byte[] data

    - #### natLogFieldIdxContextId

          public final NetFlow9Template.NetFlow9TemplateItem natLogFieldIdxContextId

    - #### natLogFieldIdxContextName

          public final NetFlow9Template.NetFlow9TemplateItem natLogFieldIdxContextName

    - #### natLogFieldIdxAssignTsSec

          public final NetFlow9Template.NetFlow9TemplateItem natLogFieldIdxAssignTsSec

    - #### natLogFieldIdxUnassignTsSec

          public final NetFlow9Template.NetFlow9TemplateItem natLogFieldIdxUnassignTsSec

    - #### natLogFieldIdxIpv4IntAddr

          public final NetFlow9Template.NetFlow9TemplateItem natLogFieldIdxIpv4IntAddr

    - #### natLogFieldIdxIpv4ExtAddr

          public final NetFlow9Template.NetFlow9TemplateItem natLogFieldIdxIpv4ExtAddr

    - #### natLogFieldIdxExtPortFirst

          public final NetFlow9Template.NetFlow9TemplateItem natLogFieldIdxExtPortFirst

    - #### natLogFieldIdxExtPortLast

          public final NetFlow9Template.NetFlow9TemplateItem natLogFieldIdxExtPortLast

    - #### hslNatLogFieldTranslatedDestinationIPv4Addr

          public final NetFlow9Template.NetFlow9TemplateItem hslNatLogFieldTranslatedDestinationIPv4Addr

    - #### hslNatLogFieldTranslatedDestinationPort

          public final NetFlow9Template.NetFlow9TemplateItem hslNatLogFieldTranslatedDestinationPort

    - #### hslNatLogFieldTranslatedSourceIpv4Addr

          public final NetFlow9Template.NetFlow9TemplateItem hslNatLogFieldTranslatedSourceIpv4Addr

    - #### hslNatLogFieldTranslatedSourcePort

          public final NetFlow9Template.NetFlow9TemplateItem hslNatLogFieldTranslatedSourcePort

    - #### hslNatLogFieldEvent

          public final NetFlow9Template.NetFlow9TemplateItem hslNatLogFieldEvent

    - #### hslNatLogFieldVrfId

          public final NetFlow9Template.NetFlow9TemplateItem hslNatLogFieldVrfId

    - #### hslNatLogFieldTimestamp

          public final NetFlow9Template.NetFlow9TemplateItem hslNatLogFieldTimestamp

    - #### items

          public NetFlow9Template.NetFlow9TemplateItem[] items

    - #### flowLog

          public boolean flowLog

    - #### natLog

          public boolean natLog

    - #### seNatLog

          public boolean seNatLog

    - #### hslNatLog

          public boolean hslNatLog

  - ### Constructor Detail

    - #### NetFlow9Template

          public NetFlow9Template()

  - ### Method Detail

    - #### parse

          public void parse(java.nio.ByteBuffer readBuffer)

    - #### skipData

          public int skipData(java.nio.ByteBuffer data,
                              int beginPosition)

      Возвращает длину пропущенной data.
      Parameters:
        `data` -
      Returns: